WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] Downgrade To Previous Version

[Resolved] Downgrade To Previous Version

  • Hello,

    I would like really SIMPLE and CLEAR step-by-step instructions on how to revert back to version 3.2.0 for wordpress please. I’m not very good at code and backups – so I need specific terms here, talk to me like your writing ‘WordPress For Dummies’ please, haha I won’t be offended! =P

    I was using version 3.2.0 and everything looked and worked perfectly as I wanted – then I upgraded to 3.2.1 and BAM some of my plugins are now breaking and things just aren’t working right.

    Please, can someone explain to me how I can revert back.

    I want to KEEP the current theme I am using, and I DO have a backup from 07/11/11 which I believe was the day before the upgrade was released on 07/12/11 – if my info. is correct.

    Please, any help or assistance on this would be SOOOO very much appreciated! 🙂 Thanks a bunch!

Viewing 11 replies - 1 through 11 (of 11 total)
  • Okay, so I have updates – I figured out how to revert back to a previous version of wordpress by uploading a backup I had sent to my email.

    Then when I got back to version 3.2.0 – a few sections of my site and a few plugins still looked ‘broken’ – I looked at my site through Firefox and Safari and my site looked and worked perfectly.

    Then I re-installed the wordpress update as I assume it wasn’t the fault of that, my apologies…

    I figured it was my browser as I am using Internet Explorer, and because I noticed I have a red warning section in my dashboard (top left) that says you are using an insecure browser, with a big blue haloed ‘e’ Internet Explorer icon.

    So, I went through this long process of trying to update my Internet Explorer and I am for certain, running IE9 – The most recent update released by Microsoft, yet I still have this red warning box, and my site is still broken in places…???

    Thus, my issue is still unresolved, and I am still as confused as ever haha…any suggestions?? 🙂

    How did you revert it? Meaning, where to did you upload your backup? Is it the xxx.sql.gz file you uploaded? Where to??

    http://wordpress.org/support/topic/automatic-update-too-old-mysql-no-longer-access-to-my-adminpanel

    I followed this simple video and it worked like a charm for me:

    Thank you!

    But do you think this will work when it is my MySQL version that was to old? (I am a bit scared)
    I’m also waiting for my host/support to answer my email about what I/they can to do fix this problem.

    Surre – You SHOULD just be able to copy the old files back up to your server and be done.

    As for your host, they need to upgrade your SQL, which is a big upgrade :/

    Thanks. Ipstenu, you said “old files”. Do you mean my xxx.sql.gz file, or to do what was done in the youtube example?

    I’m not sure i dare to try. I’ll will wait until I get a answer from my host. I’m sure they will help me, one way or another. (I hope)

    And a friend will come over this weekend who know a bit more than me anyway, then he can do it. He knows more about MySQL than me. I know nothing 😉

    I mean grab the OLD files only from http://wordpress.org/wordpress-3.1.4.zip

    Copy THOSE up to your server.

    That is, by the way, what we call a manual reinstall 🙂 It’s safe as houses. The reason we tell people not to downgrade is because if your Database has been upgraded, a downgrade will break things. In your specific case, it’s okay, since the database should NOT have been touched, as it’s not compatible.

    Ok. I should look at the yt-video again, maybe I try later 🙂

    Allright, I really can’t explain the complexity of this – haha. I figured out how to get everything working again – including the look and feel of my blog (nothing is ‘breaking’ on it anymore) – and the way that I fixed it, after everything I already did in my last post – was to simply hit the Compatibility View at the top, to the right of the address bar.

    The thing was, it was actually turned ON – which I must have accidentally hit one day when I was refreshing the page – so I turned it off, and now my IE browser isn’t breaking anymore…

    *Siigghhh, computers and browsers and code and plugins and blahhhh…

    Glad I got it finally – didn’t really need to post for help in this forum now, but maybe my plight will help others..

    Good luck everyone – I know how frustrating it can get!! <3

    I got mail from my host. They are upgrading to MySQL version 5.+
    🙂
    I just hope my adminpanel wil be back when they are finished. If not, I will try to upload files from http://wordpress.org/wordpress-3.1.4.zip

    Happy! happy! it’s all working again. 🙂

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘[Resolved] Downgrade To Previous Version’ is closed to new replies.
Skip to toolbar